Bug 814634 - Unneeded p2 metadata generataion
Unneeded p2 metadata generataion
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Johnston
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 06:10 EDT by Alexander Kurtakov
Modified: 2012-04-25 01:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: eclipse-cdt-8.1.0-0.5.junom6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-25 01:07:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Kurtakov 2012-04-20 06:10:23 EDT
There are few calls to the publisher which seem to no make any sense to me. The publisher is run asking to generate things in the `pwd`/repo which is deleted right after the call to the publisher. Is this a leftover from the past workarounded or I don't understand what's going on?

 
==snippet==
# Generate p2 metadata for CDT
pushd $installDir/eclipse
java -jar $P2LAUNCHER \
-application \
org.eclipse.equinox.p2.publisher.EclipseGenerator \
-metadataRepository file:`pwd`/repo \
-artifactRepository file:`pwd`/repo \
-source `pwd` \
-root "Eclipse CDT" \
-rootVersion %{version} \
-flavor tooling \
-publishArtifacts \
-append \
-artifactRepositoryName "CDT" \
-metadataRepositoryName "CDT" \
-vmargs \
-Duser.home=$homedir

rm -rf repo
popd

# Generate p2 metadata for CDT Parsers
pushd $parsersInstallDir/eclipse
java -jar $P2LAUNCHER \
-application \
org.eclipse.equinox.p2.publisher.EclipseGenerator \
-metadataRepository file:`pwd`/repo \
-artifactRepository file:`pwd`/repo \
-source `pwd` \
-root "CDT Parsers" \
-rootVersion %{version} \
-flavor tooling \
-publishArtifacts \
-append \
-artifactRepositoryName "CDT Parsers" \
-metadataRepositoryName "CDT Parsers" \
-vmargs \
-Duser.home=$homedir

rm -rf repo
popd

# Generate p2 metadata for CDT SDK
pushd $sdkInstallDir/eclipse
java -jar $P2LAUNCHER \
-application \
org.eclipse.equinox.p2.publisher.EclipseGenerator \
-metadataRepository file:`pwd`/repo \
-artifactRepository file:`pwd`/repo \
-source `pwd` \
-root "Eclipse CDT SDK" \
-rootVersion %{version} \
-flavor tooling \
-publishArtifacts \
-append \
-artifactRepositoryName "CDT SDK" \
-metadataRepositoryName "CDT SDK" \
-vmargs \
-Duser.home=$homedir

rm -rf repo
popd
Comment 1 Jeff Johnston 2012-04-20 14:44:56 EDT
(In reply to comment #0)
> There are few calls to the publisher which seem to no make any sense to me. The
> publisher is run asking to generate things in the `pwd`/repo which is deleted
> right after the call to the publisher. Is this a leftover from the past
> workarounded or I don't understand what's going on?
> 
> 
>

I believe you are correct that they are leftover.  I will remove them.
Comment 2 Fedora Update System 2012-04-20 18:07:17 EDT
eclipse-cdt-8.1.0-0.5.junom6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-cdt-8.1.0-0.5.junom6.fc17
Comment 3 Fedora Update System 2012-04-21 17:06:26 EDT
Package eclipse-cdt-8.1.0-0.5.junom6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-cdt-8.1.0-0.5.junom6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6340/eclipse-cdt-8.1.0-0.5.junom6.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-04-25 01:07:50 EDT
eclipse-cdt-8.1.0-0.5.junom6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.